<?php
/**
  * Ahead WebSoft Technologies Pvt Ltd.
  * @copyright  Copyright 2006-2026 Ahead WebSoft Technologies Pvt Ltd.
  * @license    https://www.socialengine.com/policies
*/
return array(
  'package' =>
  array(
    'type' => 'module',
    'name' => 'gdpr',
    'version' => '8.1.0',
    'dependencies' => array(
      array(
        'type' => 'module',
        'name' => 'core',
        'minVersion' => '8.0.0',
      ),
    ),
    'path' => 'application/modules/Gdpr',
    'title' => 'GDPR Plugin',
    'description' => 'Making GDPR compliance easier for SocialEngine website',
    'author' => '<a href="https://socialengine.com/" style="text-decoration:underline;" target="_blank">SocialEngine</a>',
    'thumb' => 'application/modules/Gdpr/externals/images/thumb.png',
    'callback' => array(
      'path' => 'application/modules/Gdpr/settings/install.php',
      'class' => 'Gdpr_Installer',
    ),
    'actions' =>
    array(
      0 => 'install',
      1 => 'upgrade',
      2 => 'refresh',
      3 => 'enable',
      4 => 'disable',
    ),
    'directories' =>
    array(
      0 => 'application/modules/Gdpr',
    ),
    'files' =>
    array(
      0 => 'application/languages/en/gdpr.csv',
    ),
  ),
  'loadDefault' => array(
    "js" => array(
      
    ),
    'css' => array(

    )
  ),
  'hooks' => array(
    array(
      'event' => 'onUserLoginAfter',
      'resource' => 'Gdpr_Plugin_Core',
    ),
    array(
      'event' => 'onUserSignupAfter',
      'resource' => 'Gdpr_Plugin_Core',
    ),
    array(
      'event' => 'onRenderLayoutDefault',
      'resource' => 'Gdpr_Plugin_Core'
    ),
    array(
      'event' => 'onUserLogoutBefore',
      'resource' => 'Gdpr_Plugin_Core'
    ),
    array(
      'event' => 'onRenderLayoutDefaultSimple',
      'resource' => 'Gdpr_Plugin_Core'
    ),
  ),
  'items' => array(
    'gdpr_content',
    'gdpr_service',
    'gdpr_audit'
  ),
  'routes' => array(
    'gdpr_view' => array(
      'route' => 'privacy-center/*',
      'defaults' => array(
        'module' => 'gdpr',
        'controller' => 'index',
        'action' => 'index',
      ),
    ),
  ),
);
